"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var definition_1 = require("../definition");
var StackActionBuilder = /** @class */ (function () {
    function StackActionBuilder() {
    }
    /**
     * @stable [19.12.2019]
     * @param {IStackPayloadEntity} data
     * @returns {IEffectsAction}
     */
    StackActionBuilder.buildPushPlainAction = function (data) {
        return { type: definition_1.$RAC_STACK_PUSH_ACTION_TYPE, data: data };
    };
    /**
     * @stable [19.12.2019]
     * @param {IStackPayloadEntity} data
     * @returns {IEffectsAction}
     */
    StackActionBuilder.buildPopPlainAction = function (data) {
        return { type: definition_1.$RAC_STACK_POP_ACTION_TYPE, data: data };
    };
    /**
     * @stable [19.12.2019]
     * @param {string} nextSection
     * @returns {IEffectsAction}
     */
    StackActionBuilder.buildLockAction = function (nextSection) {
        return redux_effects_promise_1.EffectsAction.create(definition_1.$RAC_STACK_LOCK_ACTION_TYPE, nextSection);
    };
    StackActionBuilder.buildRemoveAction = function () {
        var sections = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            sections[_i] = arguments[_i];
        }
        return redux_effects_promise_1.EffectsAction.create(definition_1.$RAC_STACK_REMOVE_ACTION_TYPE, sections);
    };
    return StackActionBuilder;
}());
exports.StackActionBuilder = StackActionBuilder;
//# sourceMappingURL=stack-action.builder.js.map