import * as React from 'react';
import { ILayoutBuilderConfigEntity, LayoutBuilderChildrenT } from '../../../definition';
import { UniversalLayoutViewBuilder } from './universal-layout-view.builder';
export declare class LayoutViewBuilder extends UniversalLayoutViewBuilder<React.ReactNode, React.DetailedHTMLProps<React.HTMLAttributes<{}>, {}>> {
    /**
     * @stable [22.10.2018]
     * @param {React.HTMLAttributes<{}>} props
     * @param {LayoutBuilderChildrenT[]} children
     * @param {ILayoutBuilderConfigEntity} layoutConfig
     * @returns {React.ReactNode}
     */
    buildRowView(props: React.HTMLAttributes<{}>, children: LayoutBuilderChildrenT[], layoutConfig: ILayoutBuilderConfigEntity): React.ReactNode;
    /**
     * @stable [22.10.2018]
     * @param {React.HTMLAttributes<{}>} props
     * @param {LayoutBuilderChildrenT[]} children
     * @param {ILayoutBuilderConfigEntity} layoutConfig
     * @returns {React.ReactNode}
     */
    buildColumnView(props: React.HTMLAttributes<{}>, children: LayoutBuilderChildrenT[], layoutConfig: ILayoutBuilderConfigEntity): React.ReactNode;
    /**
     * @stable [23.01.2020]
     * @param {React.ReactNode} item
     * @param {React.ClassAttributes<{}>} props
     * @returns {React.ReactNode}
     */
    cloneItem(item: React.ReactNode, props: React.ClassAttributes<{}>): React.ReactNode;
    /**
     * @stable [23.01.2020]
     * @param {ILayoutBuilderConfigEntity} config
     * @returns {string}
     */
    private asFactorClassName;
}
