"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var R = require("ramda");
var action_1 = require("../../action");
var util_1 = require("../../util");
var snackbar_1 = require("../snackbar");
var universal_container_1 = require("../base/universal.container");
var NotificationContainer = /** @class */ (function (_super) {
    __extends(NotificationContainer, _super);
    /**
     * @stable [13.02.2020]
     * @param {IUniversalContainerProps} props
     */
    function NotificationContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.clearCurrentNotification = _this.clearCurrentNotification.bind(_this);
        return _this;
    }
    /**
     * @stable [13.02.2020]
     * @returns {JSX.Element}
     */
    NotificationContainer.prototype.render = function () {
        return (React.createElement(React.Fragment, null,
            this.props.children,
            this.snackbarElement));
    };
    Object.defineProperty(NotificationContainer.prototype, "snackbarElement", {
        /**
         * @stable [13.02.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var notification = this.props.notification;
            var hasError = !R.isNil(notification.error);
            return (React.createElement(snackbar_1.Snackbar, { message: util_1.nvl(notification.error, notification.info), error: hasError, afterShow: this.clearCurrentNotification }));
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @stable [13.02.2020]
     */
    NotificationContainer.prototype.clearCurrentNotification = function () {
        this.appStore.dispatch(action_1.NotificationActionBuilder.buildPlainClearAction());
    };
    return NotificationContainer;
}(universal_container_1.UniversalContainer));
exports.NotificationContainer = NotificationContainer;
//# sourceMappingURL=notification.container.js.map