import { BaseStoreProxy } from '../base-store.proxy';
import { IDictionaryStoreProxy, IUniversalContainer, IUniversalContainerProps, IUniversalStoreEntity } from '../../../../definition';
import { IKeyValue } from '../../../../definitions.interface';
export declare class DictionaryStoreProxy<TStore extends IUniversalStoreEntity = IUniversalStoreEntity, TProps extends IUniversalContainerProps = IUniversalContainerProps> extends BaseStoreProxy<TStore, TProps> implements IDictionaryStoreProxy {
    readonly container: IUniversalContainer<TProps>;
    /**
     * @stable [09.10.2019]
     * @param {IUniversalContainer<TProps extends IUniversalContainerProps>} container
     */
    constructor(container: IUniversalContainer<TProps>);
    /**
     * @stable [11.01.2020]
     * @param {string} dictionary
     * @param {TData} data
     */
    dispatchLoadDictionary<TData = IKeyValue>(dictionary: string, data?: TData): void;
}
