"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definition_1 = require("../definition");
var BaseStorage = /** @class */ (function () {
    /**
     * @stable [29.07.2019]
     * @param {string} prefix
     */
    function BaseStorage(prefix) {
        this.prefix = prefix;
    }
    /**
     * @stable [13.03.2020]
     * @param {string} key
     * @param {boolean} noPrefix
     * @returns {string}
     */
    BaseStorage.prototype.toKey = function (key, noPrefix) {
        return noPrefix ? key : [this.prefix, key].join(definition_1.STORAGE_PATH_SEPARATOR);
    };
    return BaseStorage;
}());
exports.BaseStorage = BaseStorage;
//# sourceMappingURL=base-storage.service.js.map