/**
 * @stable [01.08.2019]
 * @param {string} url
 * @param {RequestInit} options
 * @returns {Promise<Blob>}
 */
export declare const fromUrlToBlob: (url: string, options?: RequestInit) => Promise<Blob>;
/**
 * @stable [04.08.2019]
 * @param {Blob} blob
 * @param {number} length
 * @returns {Promise<number[]>}
 */
export declare const readBlobBytes: (blob: Blob, length?: number) => Promise<number[]>;
/**
 * @stable [04.08.2019]
 * @param {Blob} blob
 * @param {number} length
 * @returns {Promise<string>}
 */
export declare const readBlobBytesAsString: (blob: Blob, length?: number) => Promise<string>;
/**
 * @stable [04.08.2019]
 * @param {string} signature
 * @returns {MimeTypesEnum | string}
 */
export declare const getBlobMimeType: (signature: string) => string;
/**
 * @stable [19.09.2019]
 * @param {Blob} blob
 * @returns {Promise<MimeTypesEnum | string>}
 */
export declare const detectBlobMimeType: (blob: Blob) => Promise<string>;
