"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
var array_1 = require("./array");
var filter_1 = require("./filter");
var nvl_1 = require("./nvl");
/**
 * @stable [10.09.2019]
 * @param {AnyT[]} parts
 * @param {string} joiner
 * @returns {string}
 */
exports.join = function (parts, joiner) {
    if (joiner === void 0) { joiner = definitions_interface_1.UniCodesEnum.SPACE; }
    return parts.filter(filter_1.NOT_NIL_VALUE_PREDICATE).join(joiner);
};
/**
 *
 * @param {AnyT[]} parts
 * @returns {string}
 */
exports.joinReduce = function (parts) { return array_1.isArrayNotEmpty(parts)
    ? (parts.length > 1
        ? parts[0] + ", ..."
        : nvl_1.nvl(parts[0], ''))
    : ''; };
//# sourceMappingURL=join.js.map