"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
/**
 * @stable [17.09.2019]
 * @param {IKeyValue} o
 * @param {number} space
 * @returns {string}
 */
exports.formatJson = function (o, space) {
    if (space === void 0) { space = 4; }
    return JSON.stringify(o, null, space);
};
/**
 * @stable [13.03.2020]
 * @param {string} o
 * @returns {TResult}
 */
exports.parseJson = function (o) {
    if (R.isNil(o)) {
        return o;
    }
    try {
        return JSON.parse(o);
    }
    catch (e) {
        return o;
    }
};
/**
 * @stable [13.03.2020]
 * @param {TObject} o
 * @returns {string}
 */
exports.serializeJson = function (o) { return JSON.stringify(o); };
//# sourceMappingURL=json.js.map