"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
var cond_1 = require("./cond");
var nvl_1 = require("./nvl");
var type_1 = require("./type");
/**
 * @stable [04.12.2019]
 * @param {string} section
 * @param {IKeyValue | IKeyValue[]} data
 * @returns {TResult}
 */
exports.applySection = function (section, data) {
    return (__assign({ section: section }, (cond_1.ifNotEmptyThanValue(data, function () { return (Array.isArray(data)
        ? type_1.toType({ data: data })
        : data); }))));
};
/**
 * @stable [31.08.2018]
 * @param {string} section
 * @returns {string}
 */
exports.toActionPrefix = function (section) { return "" + definitions_interface_1.ACTION_PREFIX + section; };
/**
 * @stable [05.12.2019]
 * @param {IEffectsAction} action
 * @returns {string}
 */
exports.toSection = function (action) {
    return nvl_1.nvl(cond_1.ifNotNilThanValue(action.data, function (data) { return data.section; }), cond_1.ifNotNilThanValue(action.initialData, function (initialData) { return initialData.section; }));
};
//# sourceMappingURL=section.js.map