"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
/**
 * @stable [19.12.2019]
 * @param {string} currentSection
 * @param {IStackEntity} stackEntity
 * @returns {number}
 */
exports.findStackItemEntityIndexBySection = function (currentSection, stackEntity) {
    return R.findIndex(function (entry) { return entry.section === currentSection; }, stackEntity.stack);
};
/**
 * @stable [19.12.2019]
 * @param {IStackEntity} stackEntity
 * @param {string} section
 * @returns {IStackItemEntity[]}
 */
exports.truncateStack = function (stackEntity, section) {
    return stackEntity
        .stack
        .slice(0, exports.findStackItemEntityIndexBySection(section, stackEntity) + 1);
};
//# sourceMappingURL=stack.js.map